For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
            • GETList Quotes
            • POSTCreate Quote
            • GETGet Quote Details
            • PUTSend Quote Message
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • GETGet Quote Configs
            • POSTSend Quote Email
            • GETGet Quote Store Info
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontRequest for Quote

Get Quote Details

GET
https://api-b2b.bigcommerce.com/api/v2/rfq/:quote_id
GET
/api/v2/rfq/:quote_id
$curl -G https://api-b2b.bigcommerce.com/api/v2/rfq/123456 \
> -H "Authorization: Bearer <token>" \
> -d storeHash=abcd1234 \
> -d date=1745872023 \
> -d uuid=3f7a9c0e-6d21-4f5c-b8a1-2e9d4c7b1a63
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "quoteNumber": "QN000123",
6 "channelId": 1,
7 "channelName": "B2B Store",
8 "discount": 20,
9 "grandTotal": 200,
10 "createdBy": "Marie Curie",
11 "createdAt": 1745346034,
12 "status": 1,
13 "bcOrderId": 123,
14 "orderId": "123456",
15 "currency": {
16 "location": "left",
17 "token": "$",
18 "decimalToken": ".",
19 "decimalPlaces": 2,
20 "thousandsToken": ",",
21 "currencyCode": "USD",
22 "currencyExchangeRate": 1.34
23 },
24 "extraFields": [
25 {
26 "fieldName": "Do you require any customizations to the products?",
27 "fieldValue": "No"
28 }
29 ],
30 "contactInfo": {
31 "name": "Marie Curie",
32 "email": "mcurie@greatbuysinc.com",
33 "companyName": "Great Buys Incorporated",
34 "phoneNumber": "(512) 333-3333"
35 },
36 "shippingAddress": {
37 "address": "512 Bluebonnet Lane",
38 "apartment": "Suite 100",
39 "city": "Austin",
40 "state": "Texas",
41 "zipCode": "78750.",
42 "country": "United States",
43 "lastName": "Curie",
44 "addressId": "3355286",
45 "label": "Default Shipping",
46 "firstName": "Marie",
47 "stateCode": "TX",
48 "countryCode": "US",
49 "phoneNumber": "(512) 333-3333"
50 },
51 "billingAddress": {
52 "address": "512 Bluebonnet Lane",
53 "apartment": "Suite 100",
54 "city": "Austin",
55 "state": "Texas",
56 "zipCode": "78750.",
57 "country": "United States",
58 "lastName": "Curie",
59 "addressId": "3355286",
60 "label": "Default Billing",
61 "firstName": "Marie",
62 "stateCode": "TX",
63 "countryCode": "US",
64 "phoneNumber": "(512) 333-3333"
65 },
66 "recipients": [
67 [
68 "mcurie@greatbuysic.com",
69 "alavoisier@greatbuysinc.com"
70 ]
71 ],
72 "trackingHistory": {
73 "date": 1745934856,
74 "read": "true",
75 "role": "Customer: Marie Curie",
76 "message": "Can I back-order additional units via this sales quote?"
77 },
78 "productList": {
79 "0": {
80 "sku": "SAN-PL",
81 "basePrice": 25,
82 "discount": 10,
83 "offeredPrice": 22.5,
84 "quantity": 1,
85 "productId": 12345,
86 "variantId": 74775,
87 "imageUrl": "https://mybcstore.com/sansiveria.jpg",
88 "orderQuantityMaximum": 20,
89 "orderQuantityMinimum": 5,
90 "productName": "Rock Juniper Bonsai",
91 "options": [
92 {
93 "optionId": 3780,
94 "optionName": "Size",
95 "optionLabel": "12",
96 "optionValue": 18863
97 }
98 ]
99 }
100 },
101 "notes": "Use the in-quote messaging system to contact us about products, pricing, or other quote information.",
102 "legalTerms": "Thank you for the opportunity to provide this quote! Please note the following:\n - Quotes are valid for 30 days unless otherwise stated.\n - Pricing is subject to change at any time.\n - Please note, the shipping and tax quoted are estimates only. Final shipping and tax will be calculated during checkout and may be billed post sale.\n - Due to fluctuating shipping rates, LTL shipping calculations are only estimates. Final LTL rates will be determined by quote upon shipment and may be billed post sale. Also, if a lift gate is required an additional fee will apply if not included in this quote.\n - Please contact your Technical Sales Representative, call 512-123-4567, or email sales.rep@mybcstore.com for assistance.",
103 "shippingTotal": 45.95,
104 "taxTotal": 10.83,
105 "shippingMethod": {
106 "id": "1725",
107 "type": "custom",
108 "description": "LTL - With Lift Gate",
109 "imageUrl": "https://fedex.com/logo.png",
110 "transitTime": "2 business days",
111 "cost": 41.07,
112 "additionalDescription": "Priority Mail International"
113 },
114 "storeFrontAttachFiles": {
115 "id": 11606,
116 "fileName": "fintech intake form - filled out.csv",
117 "fileType": "text/csv",
118 "fileUrl": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quoteattachedfile/fintech%20intake%20form%20-%20filled%20-out.csv?versionId=abcd1234"
119 },
120 "backendAttachFiles": {
121 "id": 11606,
122 "fileName": "fintech intake form - filled out.csv",
123 "fileType": "text/csv",
124 "fileUrl": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quoteattachedfile/fintech%20intake%20form%20-%20filled%20-out.csv?versionId=abcd1234"
125 },
126 "displayDiscount": true,
127 "allowCheckout": true,
128 "storeInfo": {
129 "storeName": "B2B Store",
130 "storeAddress": "123 Main Street Austin, TX 78704 United States of America",
131 "storeCountry": "United States",
132 "storeLogo": "https://cdn11.bigcommerce.com/s-abcd1234/product_images/logo.png",
133 "storeUrl": "https://mybcstore.com"
134 },
135 "companyInfo": {
136 "companyId": "123456",
137 "companyName": "Great Buys Incorporated",
138 "companyAddress": "512 Bluebonnet Lane",
139 "copmanyCountry": "United States",
140 "companyState": "Texas",
141 "companyCity": "Austin",
142 "companyZipCode": "78704",
143 "phoneNumber": "512-200-1234",
144 "companyEmail": "admin@greatbuysinc.com",
145 "bcId": 14
146 },
147 "salesRepInfo": {
148 "salesRepName": "Aristotle",
149 "salesRepEmail": "aristotle@mybcstore.com",
150 "salesRepPhoneNumber": "512-111-4444"
151 },
152 "extraFieldsInfo": {
153 "id": 9754,
154 "uuid": "a1416803-97be-4ec5-b7b3-3e1a64a48ae8",
155 "fieldName": "Do you require any customizations to the products?",
156 "fieldType": 0,
157 "isRequired": "false",
158 "isUnique": "false",
159 "visibleToEnduser": "true",
160 "configType": "1 (built-in)",
161 "defaultValue": "Please provide a brief summary of your desired specifications.",
162 "labelName": "Do you require any customizations to the products?",
163 "listOfValue": "[Yes, No]",
164 "maximumLength": 100,
165 "nubmerOfRows": 10,
166 "valueConfigs": {
167 "defaultValue": "Please provide a brief summary of your desired specifications.",
168 "listOfValue": "[Yes, No]",
169 "maximumLimit": 10
170 }
171 },
172 "quoteLogo": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quote-logo.png",
173 "quoteTitle": "Plants Bulk Request",
174 "referenceNumber": "04292025-0001",
175 "expiredAt": 1749275999,
176 "subtotal": 200
177 }
178}
Request retrieves the full details of a specific quote based on the provided `quote_id`. This endpoint provides more detailed information about a specific quote than [Get All Quotes](#get-all-quotes). This includes details on line items, shipping address fields, and even a history of messages sent by the buyer and their sales representative. Equivalent Storefront GraphQL API Query: `quote`.
Was this page helpful?
Previous

Create Quote

Next

Send Quote Message

Built with

Request retrieves the full details of a specific quote based on the provided quote_id.

This endpoint provides more detailed information about a specific quote than Get All Quotes. This includes details on line items, shipping address fields, and even a history of messages sent by the buyer and their sales representative.

Equivalent Storefront GraphQL API Query: quote.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

quote_idstringRequired
The internal numeric ID of the sales quote.

Query parameters

storeHashstringRequired
The unique alphanumeric store hash for the BigCommerce store.
dateintegerRequired

The Unix timestamp for when the sales quote was created.

uuidstringRequired

The quote’s secondary alphanumeric identifier. This field is only required if the quote has an existing value. Sales quotes created before May 3, 2026 do not have a uuid value by default.

Response

OK
codeintegerDefaults to 200
messagestringDefaults to SUCCESS
dataobject

Errors

404
Not Found Error